Package io.milvus.response

## Class FieldDataWrapper

- java.lang.Object
- - io.milvus.response.FieldDataWrapper

-     public class FieldDataWrapper
      extends java.lang.Object

  Utility class to wrap response of `query/search` interface.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FieldDataWrapper​(@NonNull io.milvus.grpc.FieldData fieldData)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `get​(int index, java.lang.String paramName)` |
    `java.lang.Boolean` | `getAsBool​(int index, java.lang.String paramName)` |
    `java.lang.Double` | `getAsDouble​(int index, java.lang.String paramName)` |
    `java.lang.Integer` | `getAsInt​(int index, java.lang.String paramName)` |
    `java.lang.String` | `getAsString​(int index, java.lang.String paramName)` |
    `int` | `getDim()` | Gets the dimension value of a vector field.
    `java.util.List<?>` | `getFieldData()` | Returns the field data according to its type: float vector field return List of List Float, binary vector field return List of ByteBuffer int64 field return List of Long int32/int16/int8 field return List of Integer boolean field return List of Boolean float field return List of Float double field return List of Double varchar field return List of String array field return List of List etc.
    `long` | `getRowCount()` | Gets the row count of a field.
    `boolean` | `isDynamicField()` |
    `boolean` | `isJsonField()` |
    `boolean` | `isVectorField()` |
    `java.lang.Object` | `valueByIdx​(int index)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldDataWrapper

          public FieldDataWrapper​(@NonNull
                                  @NonNull io.milvus.grpc.FieldData fieldData)

  - ### Method Detail

    - #### isVectorField

          public boolean isVectorField()

    - #### isJsonField

          public boolean isJsonField()

    - #### isDynamicField

          public boolean isDynamicField()

    - #### getDim

          public int getDim()
                     throws IllegalResponseException

      Gets the dimension value of a vector field. Throw `IllegalResponseException` if the field is not a vector filed.
      Returns:
        `int` dimension of the vector field
      Throws:
        `IllegalResponseException`

    - #### getRowCount

          public long getRowCount()
                           throws IllegalResponseException

      Gets the row count of a field. * Throws `IllegalResponseException` if the field type is illegal.
      Returns:
        `long` row count of the field
      Throws:
        `IllegalResponseException`

    - #### getFieldData

          public java.util.List<?> getFieldData()
                                         throws IllegalResponseException

      Returns the field data according to its type: float vector field return List of List Float, binary vector field return List of ByteBuffer int64 field return List of Long int32/int16/int8 field return List of Integer boolean field return List of Boolean float field return List of Float double field return List of Double varchar field return List of String array field return List of List etc. Throws `IllegalResponseException` if the field type is illegal.
      Returns:
        `List`
      Throws:
        `IllegalResponseException`

    - #### getAsInt

          public java.lang.Integer getAsInt​(int index,
                                            java.lang.String paramName)
                                     throws IllegalResponseException

      Throws:
        `IllegalResponseException`

    - #### getAsString

          public java.lang.String getAsString​(int index,
                                              java.lang.String paramName)
                                       throws IllegalResponseException

      Throws:
        `IllegalResponseException`

    - #### getAsBool

          public java.lang.Boolean getAsBool​(int index,
                                             java.lang.String paramName)
                                      throws IllegalResponseException

      Throws:
        `IllegalResponseException`

    - #### getAsDouble

          public java.lang.Double getAsDouble​(int index,
                                              java.lang.String paramName)
                                       throws IllegalResponseException

      Throws:
        `IllegalResponseException`

    - #### get

          public java.lang.Object get​(int index,
                                      java.lang.String paramName)
                               throws IllegalResponseException

      Throws:
        `IllegalResponseException`

    - #### valueByIdx

          public java.lang.Object valueByIdx​(int index)
                                      throws ParamException

      Throws:
        `ParamException`